%define upstream_name    Dist-Zilla-PluginBundle-RJBS
%define upstream_version 1.017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    See what the mantissa for an rjbs-style version is today
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 2.100.922
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereq) >= 1.100.130
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.120.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 3.92.971
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver) >= 0.93.330
BuildRequires: perl(Dist::Zilla::Plugin::Test::ChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Elemental) >= 0.92.970
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Weaver) >= 3.100.310
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the plugin bundle that RJBS uses. It is equivalent to:

  [@Filter]
  bundle = @Classic
  remove = PodVersion
  remove = MetaYAML

  [AutoVersion]
  [MetaJSON]
  [NextRelease]
  [PodWeaver]
  [Repository]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 537525
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.17.0-1.mga4
+ Revision: 487198
- update to 1.017

* Tue Aug 27 2013 sander85 <sander85> 1.16.0-1.mga4
+ Revision: 472368
- update to 1.016

* Wed Jun 26 2013 jquelin <jquelin> 1.15.0-1.mga4
+ Revision: 446933
- update to 1.015

* Fri Jun 07 2013 jquelin <jquelin> 1.14.0-1.mga4
+ Revision: 439223
- update to 1.014

* Sun Jan 13 2013 umeabot <umeabot> 1.13.0-2.mga3
+ Revision: 366674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.13.0-1.mga3
+ Revision: 342539
- update to 1.013

* Wed Jul 04 2012 jquelin <jquelin> 1.12.0-1.mga3
+ Revision: 267456
- update to 1.012

* Tue Jun 05 2012 jquelin <jquelin> 1.11.0-1.mga3
+ Revision: 255400
- update to 1.011
- update to 1.007

* Mon Feb 28 2011 jquelin <jquelin> 1.6.0-1.mga1
+ Revision: 61698
- update to 1.006

* Thu Jan 27 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 41813
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-RJBS

